Bug 553066 - Directory Console: do not display "subtree" index type
Summary: Directory Console: do not display "subtree" index type
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Console
Version: 1.3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 434915
TreeView+ depends on / blocked
 
Reported: 2010-01-07 00:11 UTC by Noriko Hosoi
Modified: 2015-12-07 17:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 17:05:33 UTC


Attachments (Terms of Use)
git patch file (IndexManagementPanel) (2.35 KB, patch)
2010-08-27 22:33 UTC, Noriko Hosoi
nhosoi: review?
nhosoi: review?
rmeggins: review+
Details | Diff

Description Noriko Hosoi 2010-01-07 00:11:56 UTC
Description of problem:
Steps to reproduce the problem.
1) On the configuration panel, expand Data icon and a suffix, then highlight a backend in the suffix
2) Choose the Index tab

Then, on the window which started the console, this error is printed:
IndexManagementPanel.fillRow: unkown index type <subtree>

Notes: "subtree" is a new index type introduced with the subtree rename enhancement.  Only entryrdn can have the type and it's not allow to disable it.

Comment 2 Noriko Hosoi 2010-08-27 22:33:19 UTC
Created attachment 441624 [details]
git patch file (IndexManagementPanel)

Bug Description: a special index type "subtree" is introduced for
entryrdn.  The DS Console does not spport the index type, and
the index page issues an error "unkown index type <subtree>".
Fix Description: The index type is special and is available only
for entryrdn.  Also, entryrdn cannot have any other index type(s).
Thus, there is no much benefit to show the index type on the index
page on Console.  This patch skips showing entryrdn index name and
the subtree index type.

File: admin/dirserv/panel/IndexManagementPanel.java

Comment 3 Noriko Hosoi 2010-08-31 17:46:07 UTC
Reviewed by Rich (Thanks!!!)

Pushed to master.

$ git merge 553066
Updating 01ddc9c..21eaba8
Fast-forward
 .../admin/dirserv/panel/IndexManagementPanel.java  |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

$ git push
Counting objects: 17, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (9/9), 1.11 KiB, done.
Total 9 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds-console.git
   01ddc9c..21eaba8  master -> master

Comment 4 Amita Sharma 2011-06-22 13:29:49 UTC
Followed :
1) On the configuration panel, expand Data icon and a suffix, then highlight a
backend in the suffix
2) Choose the Index tab

Then, on the window which started the console, this error is printed:
IndexManagementPanel.fillRow: unkown index type <subtree>

But did not face any error, Hence VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.